Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic.toplink
Class PersistenceManager

`java.lang.Object
oracle.adf.model.generic.toplink.PersistenceManager`

All Implemented Interfaces:
  TopLinkADFConstants

Deprecated. - TopLink Data Controls created with 10.1.3 ADF, will no longer use these classes.

public class PersistenceManager
extends java.lang.Object
implements TopLinkADFConstants

Purpose: TopLink abstraction for brokering TopLink Sessions and UnitOfWorks across all ADF TopLink data controls and instances of a given application.

Description: Handles transaction creation, allocation, and management related activities for the TopLink ADF Data Control implementation.

Version:
  10.1.2
See Also:
  `TransactionBroker`, `TopLinkDataControl`, `DataControlFactoryImpl`

Field Summary

Fields inherited from interface oracle.adf.model.generic.toplink.TopLinkADFConstants
`ASSIGN_SEQUENCE_NUMBERS_ON_CREATE_KEY, DEPLOYMENT_DESCRIPTOR_LOCATION_KEY, SESSION_NAME_KEY, SESSIONS_XML_LOCATION_KEY, SHOULD_PERFORM_DELETES_FIRST_KEY`

Method Summary
`TransactionBroker` | `getTransactionBrokerFor(oracle.adf.model.BindingContext bindingContext, java.util.Map params)` Deprecated. Builds up a new or retrieves a cached TransactionBroker for the given application BindingContext and application parameters.
`protected void` | `initialize()` Deprecated. Performs initialization related activities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    protected void initialize()

  Deprecated.
  Performs initialization related activities.

### getTransactionBrokerFor

    public TransactionBroker getTransactionBrokerFor(oracle.adf.model.BindingContext bindingContext,
                                                     java.util.Map params)

  Deprecated.
  Builds up a new or retrieves a cached TransactionBroker for the given application BindingContext and application parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.